package com.ruoyi.clock.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum AdExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    AD_IS_NOT_EXISTS(200001, "广告不存在"),
    AD_LOCATION_CODE_REPEAT(200002, "广告位置编码存在"),

    ;

    private Integer code;

    private String msg;

    AdExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static AdExceptionEnum getByCode(int code, AdExceptionEnum[] values) {
        for (AdExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
